CKEDITOR.plugins.add( 'imgr',
{
	init: function( editor )
	{
		editor.addCommand( 'imgrCommand', new CKEDITOR.dialogCommand( 'imgrDialog' ) );
		editor.ui.addButton( 'imgr',
			{
				label: 'إدراج صورة ومحاذاتها يمين النص',
				command: 'imgrCommand',
				icon: this.path + 'imgr.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'imgrDialog', function( editor )
		{
			return {
				title : 'إدراج صورة ومحاذاتها يمين النص',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'imgr',
						label : 'imgr',
						elements :
						[
							{
								type : 'text',
								id : 'url',
								label : 'رابط الصورة',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[imgr]' + me.url + '[/imgr]');
				}
			};
		});
	}
});